org.eclipse.zest.layouts.progress

## Class ProgressEvent

- java.lang.Object
- - org.eclipse.zest.layouts.progress.ProgressEvent

    public class ProgressEvent
    extends java.lang.Object

When an algorithm wants to notify everyone it has completely part of its task, it throws a ProgressEvent. The progress is a number (currentProgress) representing the current steps completed out of the total number of steps (totalProgress)

### Constructor Summary

Constructors
Constructor and Description
`ProgressEvent(int stepsCompleted, int totalNumberOfSteps)` Creates a progress event.

### Method Summary

Methods
`int` `getStepsCompleted()` Returns the number of steps already completed.
`int` `getTotalNumberOfSteps()` Returns the total number of steps to complete.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProgressEvent

    public ProgressEvent(int stepsCompleted,
                 int totalNumberOfSteps)

Creates a progress event.

Parameters:
  `stepsCompleted` - The current progress out of the total
  `totalNumberOfSteps` - The number used to indicate when the algorithm will finish

### Method Detail

#### getStepsCompleted

    public int getStepsCompleted()

Returns the number of steps already completed.

#### getTotalNumberOfSteps

    public int getTotalNumberOfSteps()

Returns the total number of steps to complete.